Foxit PDF SDK

Public Member Functions | List of all members
CFX_WideStringC Class Reference
FXCRT

CONSTANT WIDE STRING CLASS. More...

Inherits CFX_Object.

Inherited by CFX_WideStringL.

## Public Member Functions
| CFX_WideStringC ()
| Constructs a null constant string.
| CFX_WideStringC (const CFX_WideStringC &src)
| Copy constructor. More...
| CFX_WideStringC (FX_LPCWSTR ptr)
| Construct from a character string. More...
| CFX_WideStringC (FX_LPCWSTR ptr, FX_STRSIZE len)
| Construct from a character string. More...
| CFX_WideStringC (FX_WCHAR &ch)
| Construct from a single character. More...
FX_WCHAR | GetAt (FX_STRSIZE index) const
| Retrieves a single byte specified by an index number. More...
FX_STRSIZE | GetLength () const
| Get the length of the byte string. More...
FX_LPCWSTR | GetPtr () const
| Get a constant wide string pointer to the wide string. More...
bool | IsEmpty () const
| Determines whether current string object is empty. More...
CFX_WideStringC | Left (FX_STRSIZE count) const
| Extracts the first (leftmost) count wide characters from this CFX_WideStringC object as a sub-string. More...
CFX_WideStringC | Mid (FX_STRSIZE index, FX_STRSIZE count=-1) const
| Extracts a substring of length count bytes from this CFX_WideStringC object, starting at position index (zero-based). More...
bool | operator!= (const CFX_WideStringC &str) const
| Comparison(!=) operator overload. Case-sensitive. More...
CFX_WideStringC & | operator= (const CFX_WideStringC &src)
| Assignment(=) operator overload. From a CFX_WideStringC object. More...
CFX_WideStringC & | operator= (FX_LPCWSTR src)
| Assignment(=) operator overload. From a character string. More...
bool | operator== (const CFX_WideStringC &str) const
| Comparison(==) operator overload. Case-sensitive. More...
CFX_WideStringC | Right (FX_STRSIZE count) const
| Extracts the last (rightmost) count wide characters from this CFX_WideStringC object as a sub-string. More...
Byte string concatenation operation
Both side of the concatenation operator (+) can be: A buffered byte string (const CFX_ByteString&); A non-buffered byte string (const CFX_ByteStringC&, a.k.a FX_BSTR); A zero-terminated C-style string (FX_LPCSTR); A single character or byte (FX_CHAR);
| CFX_WideStringC (const CFX_WideString &src)
| Construct from a wide string. More...
CFX_WideStringC & | operator= (const CFX_WideString &src)
| Assignment(=) operator overload. From a CFX_ByteString object. More...

## Detailed Description

CONSTANT WIDE STRING CLASS.

Constant wide string, it contains no buffer so its content can't be changed directly.